# Module Gitlab::Regex

- lib/gitlab/regex.rb

Methods

D
  - default_regex
P
  - path_regex,
  - project_name_regex
U
  - username_regex

Instance Public methods
path_regex() Link

Source: show

    # File lib/gitlab/regex.rb, line 13
    def path_regex
      default_regex
    end

project_name_regex() Link

Source: show

    # File lib/gitlab/regex.rb, line 9
    def project_name_regex
      %r\A[a-zA-Z][a-zA-Z0-9_\-\. ]*\z/
    end

username_regex() Link

Source: show

    # File lib/gitlab/regex.rb, line 5
    def username_regex
      default_regex
    end

Instance Protected methods
default_regex() Link

Source: show

    # File lib/gitlab/regex.rb, line 19
    def default_regex
      %r\A[a-zA-Z][a-zA-Z0-9_\-\.]*\z/
    end